Forum Post
Index > Scribe > Time zone of contact ?!?!

Author/Date Time zone of contact ?!?!
Flash
25/04/2003 11:51pm
When i paste the new version of scribe, some time zone of my contacts, change to -4.0 !!!

I have fixed when i have tested version v1.86 test20...

now i test v1.86 test22 and the time zone will change again !?!?
fReT
26/04/2003 4:06am
It would only change by itself if you receive an email from the person the contact refers to. Then Scribe takes the timezone from their mail and puts it in the Contact record. This keeps the contact record up to date with their current timezone, or at least thats the idea.

If you check the most recent email from that person and look in the internet headers for the date field you probably find it matches the contact timezone.

This is currently a feature but if you have a problem with it then by all means suggest some better way for it to work. All I want is the timezone to be up to date, and for the most part auto-populated from incomming email.
Flash
27/04/2003 9:39pm
I have make a test !

I am on time zone -5, my windows to ;-) , and i have sent an email to myself.

Now, the time zone of me in contact is turn to -4 ???
fReT
28/04/2003 12:39am
I ran the same test and it got my timezone right.

We recently "changed" timezones because daylight savings ended. So when I sent myself a mail it updated the TZ from +11 to +10.

Can you copy the incomming headers to me?
fReT
28/04/2003 1:02am
There is an issue in the current build where it gets the timezone wrong, well windows reports the timezone information incorrectly. Something to do with daylight savings.

I'm pretty sure that this is what is going on here, your sending your timezone as -4, because thats what windows tells me when I ask it for the timezone. Even though the Windows UI says it's -5.

Some one else already reported this and I had a look at it, but so far I don't have a programmatic solution. Although it just occured to me that maybe there is another setting that will tell me whether I should ignore the "daylight savings" part of the timezone offset. I'll poke around...
fReT
28/04/2003 1:09am
I've re-read the GetTimeZoneInformation documentation and hopefully the timezone offset problem is fixed. We'll see in the next build.
Flash
28/04/2003 1:22am
Cool !!!
Flash
21/05/2003 7:34am
The time zone not fixed right...
The time zone of my contacts change...

They have disference of enter an empty time zone or enter a time zone -5 ?

I am on (GMT -5:00) Eastern Time (US & Canada) with automatique daylight saving !

Why my contact turn every time to -4:00 ?
Reply